Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network186.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
186.0.0.0
Broadcast address
187.255.255.255
First usable
186.0.0.1
Last usable
187.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex BA000000 · Integer 3120562176 to 3154116607
Reverse DNS zones
186.in-addr.arpa
187.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111010.00000000.00000000.00000000186.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10111010.00000000.00000000.00000000186.0.0.0
Broadcast10111011.11111111.11111111.11111111187.255.255.255
Split into smaller subnets/18

186.0.0.0/7 makes 2,048 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1186.0.0.0/18186.0.0.1 to 186.0.63.254186.0.63.25516,382
2186.0.64.0/18186.0.64.1 to 186.0.127.254186.0.127.25516,382
3186.0.128.0/18186.0.128.1 to 186.0.191.254186.0.191.25516,382
4186.0.192.0/18186.0.192.1 to 186.0.255.254186.0.255.25516,382
5186.1.0.0/18186.1.0.1 to 186.1.63.254186.1.63.25516,382
6186.1.64.0/18186.1.64.1 to 186.1.127.254186.1.127.25516,382
7186.1.128.0/18186.1.128.1 to 186.1.191.254186.1.191.25516,382
8186.1.192.0/18186.1.192.1 to 186.1.255.254186.1.255.25516,382
9186.2.0.0/18186.2.0.1 to 186.2.63.254186.2.63.25516,382
10186.2.64.0/18186.2.64.1 to 186.2.127.254186.2.127.25516,382
11186.2.128.0/18186.2.128.1 to 186.2.191.254186.2.191.25516,382
12186.2.192.0/18186.2.192.1 to 186.2.255.254186.2.255.25516,382
13186.3.0.0/18186.3.0.1 to 186.3.63.254186.3.63.25516,382
14186.3.64.0/18186.3.64.1 to 186.3.127.254186.3.127.25516,382
15186.3.128.0/18186.3.128.1 to 186.3.191.254186.3.191.25516,382
16186.3.192.0/18186.3.192.1 to 186.3.255.254186.3.255.25516,382
17186.4.0.0/18186.4.0.1 to 186.4.63.254186.4.63.25516,382
18186.4.64.0/18186.4.64.1 to 186.4.127.254186.4.127.25516,382
19186.4.128.0/18186.4.128.1 to 186.4.191.254186.4.191.25516,382
20186.4.192.0/18186.4.192.1 to 186.4.255.254186.4.255.25516,382
21186.5.0.0/18186.5.0.1 to 186.5.63.254186.5.63.25516,382
22186.5.64.0/18186.5.64.1 to 186.5.127.254186.5.127.25516,382
23186.5.128.0/18186.5.128.1 to 186.5.191.254186.5.191.25516,382
24186.5.192.0/18186.5.192.1 to 186.5.255.254186.5.255.25516,382
25186.6.0.0/18186.6.0.1 to 186.6.63.254186.6.63.25516,382
26186.6.64.0/18186.6.64.1 to 186.6.127.254186.6.127.25516,382
27186.6.128.0/18186.6.128.1 to 186.6.191.254186.6.191.25516,382
28186.6.192.0/18186.6.192.1 to 186.6.255.254186.6.255.25516,382
29186.7.0.0/18186.7.0.1 to 186.7.63.254186.7.63.25516,382
30186.7.64.0/18186.7.64.1 to 186.7.127.254186.7.127.25516,382
31186.7.128.0/18186.7.128.1 to 186.7.191.254186.7.191.25516,382
32186.7.192.0/18186.7.192.1 to 186.7.255.254186.7.255.25516,382
33186.8.0.0/18186.8.0.1 to 186.8.63.254186.8.63.25516,382
34186.8.64.0/18186.8.64.1 to 186.8.127.254186.8.127.25516,382
35186.8.128.0/18186.8.128.1 to 186.8.191.254186.8.191.25516,382
36186.8.192.0/18186.8.192.1 to 186.8.255.254186.8.255.25516,382
37186.9.0.0/18186.9.0.1 to 186.9.63.254186.9.63.25516,382
38186.9.64.0/18186.9.64.1 to 186.9.127.254186.9.127.25516,382
39186.9.128.0/18186.9.128.1 to 186.9.191.254186.9.191.25516,382
40186.9.192.0/18186.9.192.1 to 186.9.255.254186.9.255.25516,382
41186.10.0.0/18186.10.0.1 to 186.10.63.254186.10.63.25516,382
42186.10.64.0/18186.10.64.1 to 186.10.127.254186.10.127.25516,382
43186.10.128.0/18186.10.128.1 to 186.10.191.254186.10.191.25516,382
44186.10.192.0/18186.10.192.1 to 186.10.255.254186.10.255.25516,382
45186.11.0.0/18186.11.0.1 to 186.11.63.254186.11.63.25516,382
46186.11.64.0/18186.11.64.1 to 186.11.127.254186.11.127.25516,382
47186.11.128.0/18186.11.128.1 to 186.11.191.254186.11.191.25516,382
48186.11.192.0/18186.11.192.1 to 186.11.255.254186.11.255.25516,382
49186.12.0.0/18186.12.0.1 to 186.12.63.254186.12.63.25516,382
50186.12.64.0/18186.12.64.1 to 186.12.127.254186.12.127.25516,382
51186.12.128.0/18186.12.128.1 to 186.12.191.254186.12.191.25516,382
52186.12.192.0/18186.12.192.1 to 186.12.255.254186.12.255.25516,382
53186.13.0.0/18186.13.0.1 to 186.13.63.254186.13.63.25516,382
54186.13.64.0/18186.13.64.1 to 186.13.127.254186.13.127.25516,382
55186.13.128.0/18186.13.128.1 to 186.13.191.254186.13.191.25516,382
56186.13.192.0/18186.13.192.1 to 186.13.255.254186.13.255.25516,382
57186.14.0.0/18186.14.0.1 to 186.14.63.254186.14.63.25516,382
58186.14.64.0/18186.14.64.1 to 186.14.127.254186.14.127.25516,382
59186.14.128.0/18186.14.128.1 to 186.14.191.254186.14.191.25516,382
60186.14.192.0/18186.14.192.1 to 186.14.255.254186.14.255.25516,382
61186.15.0.0/18186.15.0.1 to 186.15.63.254186.15.63.25516,382
62186.15.64.0/18186.15.64.1 to 186.15.127.254186.15.127.25516,382
63186.15.128.0/18186.15.128.1 to 186.15.191.254186.15.191.25516,382
64186.15.192.0/18186.15.192.1 to 186.15.255.254186.15.255.25516,382
65186.16.0.0/18186.16.0.1 to 186.16.63.254186.16.63.25516,382
66186.16.64.0/18186.16.64.1 to 186.16.127.254186.16.127.25516,382
67186.16.128.0/18186.16.128.1 to 186.16.191.254186.16.191.25516,382
68186.16.192.0/18186.16.192.1 to 186.16.255.254186.16.255.25516,382
69186.17.0.0/18186.17.0.1 to 186.17.63.254186.17.63.25516,382
70186.17.64.0/18186.17.64.1 to 186.17.127.254186.17.127.25516,382
71186.17.128.0/18186.17.128.1 to 186.17.191.254186.17.191.25516,382
72186.17.192.0/18186.17.192.1 to 186.17.255.254186.17.255.25516,382
73186.18.0.0/18186.18.0.1 to 186.18.63.254186.18.63.25516,382
74186.18.64.0/18186.18.64.1 to 186.18.127.254186.18.127.25516,382
75186.18.128.0/18186.18.128.1 to 186.18.191.254186.18.191.25516,382
76186.18.192.0/18186.18.192.1 to 186.18.255.254186.18.255.25516,382
77186.19.0.0/18186.19.0.1 to 186.19.63.254186.19.63.25516,382
78186.19.64.0/18186.19.64.1 to 186.19.127.254186.19.127.25516,382
79186.19.128.0/18186.19.128.1 to 186.19.191.254186.19.191.25516,382
80186.19.192.0/18186.19.192.1 to 186.19.255.254186.19.255.25516,382
81186.20.0.0/18186.20.0.1 to 186.20.63.254186.20.63.25516,382
82186.20.64.0/18186.20.64.1 to 186.20.127.254186.20.127.25516,382
83186.20.128.0/18186.20.128.1 to 186.20.191.254186.20.191.25516,382
84186.20.192.0/18186.20.192.1 to 186.20.255.254186.20.255.25516,382
85186.21.0.0/18186.21.0.1 to 186.21.63.254186.21.63.25516,382
86186.21.64.0/18186.21.64.1 to 186.21.127.254186.21.127.25516,382
87186.21.128.0/18186.21.128.1 to 186.21.191.254186.21.191.25516,382
88186.21.192.0/18186.21.192.1 to 186.21.255.254186.21.255.25516,382
89186.22.0.0/18186.22.0.1 to 186.22.63.254186.22.63.25516,382
90186.22.64.0/18186.22.64.1 to 186.22.127.254186.22.127.25516,382
91186.22.128.0/18186.22.128.1 to 186.22.191.254186.22.191.25516,382
92186.22.192.0/18186.22.192.1 to 186.22.255.254186.22.255.25516,382
93186.23.0.0/18186.23.0.1 to 186.23.63.254186.23.63.25516,382
94186.23.64.0/18186.23.64.1 to 186.23.127.254186.23.127.25516,382
95186.23.128.0/18186.23.128.1 to 186.23.191.254186.23.191.25516,382
96186.23.192.0/18186.23.192.1 to 186.23.255.254186.23.255.25516,382
97186.24.0.0/18186.24.0.1 to 186.24.63.254186.24.63.25516,382
98186.24.64.0/18186.24.64.1 to 186.24.127.254186.24.127.25516,382
99186.24.128.0/18186.24.128.1 to 186.24.191.254186.24.191.25516,382
100186.24.192.0/18186.24.192.1 to 186.24.255.254186.24.255.25516,382
101186.25.0.0/18186.25.0.1 to 186.25.63.254186.25.63.25516,382
102186.25.64.0/18186.25.64.1 to 186.25.127.254186.25.127.25516,382
103186.25.128.0/18186.25.128.1 to 186.25.191.254186.25.191.25516,382
104186.25.192.0/18186.25.192.1 to 186.25.255.254186.25.255.25516,382
105186.26.0.0/18186.26.0.1 to 186.26.63.254186.26.63.25516,382
106186.26.64.0/18186.26.64.1 to 186.26.127.254186.26.127.25516,382
107186.26.128.0/18186.26.128.1 to 186.26.191.254186.26.191.25516,382
108186.26.192.0/18186.26.192.1 to 186.26.255.254186.26.255.25516,382
109186.27.0.0/18186.27.0.1 to 186.27.63.254186.27.63.25516,382
110186.27.64.0/18186.27.64.1 to 186.27.127.254186.27.127.25516,382
111186.27.128.0/18186.27.128.1 to 186.27.191.254186.27.191.25516,382
112186.27.192.0/18186.27.192.1 to 186.27.255.254186.27.255.25516,382
113186.28.0.0/18186.28.0.1 to 186.28.63.254186.28.63.25516,382
114186.28.64.0/18186.28.64.1 to 186.28.127.254186.28.127.25516,382
115186.28.128.0/18186.28.128.1 to 186.28.191.254186.28.191.25516,382
116186.28.192.0/18186.28.192.1 to 186.28.255.254186.28.255.25516,382
117186.29.0.0/18186.29.0.1 to 186.29.63.254186.29.63.25516,382
118186.29.64.0/18186.29.64.1 to 186.29.127.254186.29.127.25516,382
119186.29.128.0/18186.29.128.1 to 186.29.191.254186.29.191.25516,382
120186.29.192.0/18186.29.192.1 to 186.29.255.254186.29.255.25516,382
121186.30.0.0/18186.30.0.1 to 186.30.63.254186.30.63.25516,382
122186.30.64.0/18186.30.64.1 to 186.30.127.254186.30.127.25516,382
123186.30.128.0/18186.30.128.1 to 186.30.191.254186.30.191.25516,382
124186.30.192.0/18186.30.192.1 to 186.30.255.254186.30.255.25516,382
125186.31.0.0/18186.31.0.1 to 186.31.63.254186.31.63.25516,382
126186.31.64.0/18186.31.64.1 to 186.31.127.254186.31.127.25516,382
127186.31.128.0/18186.31.128.1 to 186.31.191.254186.31.191.25516,382
128186.31.192.0/18186.31.192.1 to 186.31.255.254186.31.255.25516,382
129186.32.0.0/18186.32.0.1 to 186.32.63.254186.32.63.25516,382
130186.32.64.0/18186.32.64.1 to 186.32.127.254186.32.127.25516,382
131186.32.128.0/18186.32.128.1 to 186.32.191.254186.32.191.25516,382
132186.32.192.0/18186.32.192.1 to 186.32.255.254186.32.255.25516,382
133186.33.0.0/18186.33.0.1 to 186.33.63.254186.33.63.25516,382
134186.33.64.0/18186.33.64.1 to 186.33.127.254186.33.127.25516,382
135186.33.128.0/18186.33.128.1 to 186.33.191.254186.33.191.25516,382
136186.33.192.0/18186.33.192.1 to 186.33.255.254186.33.255.25516,382
137186.34.0.0/18186.34.0.1 to 186.34.63.254186.34.63.25516,382
138186.34.64.0/18186.34.64.1 to 186.34.127.254186.34.127.25516,382
139186.34.128.0/18186.34.128.1 to 186.34.191.254186.34.191.25516,382
140186.34.192.0/18186.34.192.1 to 186.34.255.254186.34.255.25516,382
141186.35.0.0/18186.35.0.1 to 186.35.63.254186.35.63.25516,382
142186.35.64.0/18186.35.64.1 to 186.35.127.254186.35.127.25516,382
143186.35.128.0/18186.35.128.1 to 186.35.191.254186.35.191.25516,382
144186.35.192.0/18186.35.192.1 to 186.35.255.254186.35.255.25516,382
145186.36.0.0/18186.36.0.1 to 186.36.63.254186.36.63.25516,382
146186.36.64.0/18186.36.64.1 to 186.36.127.254186.36.127.25516,382
147186.36.128.0/18186.36.128.1 to 186.36.191.254186.36.191.25516,382
148186.36.192.0/18186.36.192.1 to 186.36.255.254186.36.255.25516,382
149186.37.0.0/18186.37.0.1 to 186.37.63.254186.37.63.25516,382
150186.37.64.0/18186.37.64.1 to 186.37.127.254186.37.127.25516,382
151186.37.128.0/18186.37.128.1 to 186.37.191.254186.37.191.25516,382
152186.37.192.0/18186.37.192.1 to 186.37.255.254186.37.255.25516,382
153186.38.0.0/18186.38.0.1 to 186.38.63.254186.38.63.25516,382
154186.38.64.0/18186.38.64.1 to 186.38.127.254186.38.127.25516,382
155186.38.128.0/18186.38.128.1 to 186.38.191.254186.38.191.25516,382
156186.38.192.0/18186.38.192.1 to 186.38.255.254186.38.255.25516,382
157186.39.0.0/18186.39.0.1 to 186.39.63.254186.39.63.25516,382
158186.39.64.0/18186.39.64.1 to 186.39.127.254186.39.127.25516,382
159186.39.128.0/18186.39.128.1 to 186.39.191.254186.39.191.25516,382
160186.39.192.0/18186.39.192.1 to 186.39.255.254186.39.255.25516,382
161186.40.0.0/18186.40.0.1 to 186.40.63.254186.40.63.25516,382
162186.40.64.0/18186.40.64.1 to 186.40.127.254186.40.127.25516,382
163186.40.128.0/18186.40.128.1 to 186.40.191.254186.40.191.25516,382
164186.40.192.0/18186.40.192.1 to 186.40.255.254186.40.255.25516,382
165186.41.0.0/18186.41.0.1 to 186.41.63.254186.41.63.25516,382
166186.41.64.0/18186.41.64.1 to 186.41.127.254186.41.127.25516,382
167186.41.128.0/18186.41.128.1 to 186.41.191.254186.41.191.25516,382
168186.41.192.0/18186.41.192.1 to 186.41.255.254186.41.255.25516,382
169186.42.0.0/18186.42.0.1 to 186.42.63.254186.42.63.25516,382
170186.42.64.0/18186.42.64.1 to 186.42.127.254186.42.127.25516,382
171186.42.128.0/18186.42.128.1 to 186.42.191.254186.42.191.25516,382
172186.42.192.0/18186.42.192.1 to 186.42.255.254186.42.255.25516,382
173186.43.0.0/18186.43.0.1 to 186.43.63.254186.43.63.25516,382
174186.43.64.0/18186.43.64.1 to 186.43.127.254186.43.127.25516,382
175186.43.128.0/18186.43.128.1 to 186.43.191.254186.43.191.25516,382
176186.43.192.0/18186.43.192.1 to 186.43.255.254186.43.255.25516,382
177186.44.0.0/18186.44.0.1 to 186.44.63.254186.44.63.25516,382
178186.44.64.0/18186.44.64.1 to 186.44.127.254186.44.127.25516,382
179186.44.128.0/18186.44.128.1 to 186.44.191.254186.44.191.25516,382
180186.44.192.0/18186.44.192.1 to 186.44.255.254186.44.255.25516,382
181186.45.0.0/18186.45.0.1 to 186.45.63.254186.45.63.25516,382
182186.45.64.0/18186.45.64.1 to 186.45.127.254186.45.127.25516,382
183186.45.128.0/18186.45.128.1 to 186.45.191.254186.45.191.25516,382
184186.45.192.0/18186.45.192.1 to 186.45.255.254186.45.255.25516,382
185186.46.0.0/18186.46.0.1 to 186.46.63.254186.46.63.25516,382
186186.46.64.0/18186.46.64.1 to 186.46.127.254186.46.127.25516,382
187186.46.128.0/18186.46.128.1 to 186.46.191.254186.46.191.25516,382
188186.46.192.0/18186.46.192.1 to 186.46.255.254186.46.255.25516,382
189186.47.0.0/18186.47.0.1 to 186.47.63.254186.47.63.25516,382
190186.47.64.0/18186.47.64.1 to 186.47.127.254186.47.127.25516,382
191186.47.128.0/18186.47.128.1 to 186.47.191.254186.47.191.25516,382
192186.47.192.0/18186.47.192.1 to 186.47.255.254186.47.255.25516,382
193186.48.0.0/18186.48.0.1 to 186.48.63.254186.48.63.25516,382
194186.48.64.0/18186.48.64.1 to 186.48.127.254186.48.127.25516,382
195186.48.128.0/18186.48.128.1 to 186.48.191.254186.48.191.25516,382
196186.48.192.0/18186.48.192.1 to 186.48.255.254186.48.255.25516,382
197186.49.0.0/18186.49.0.1 to 186.49.63.254186.49.63.25516,382
198186.49.64.0/18186.49.64.1 to 186.49.127.254186.49.127.25516,382
199186.49.128.0/18186.49.128.1 to 186.49.191.254186.49.191.25516,382
200186.49.192.0/18186.49.192.1 to 186.49.255.254186.49.255.25516,382
201186.50.0.0/18186.50.0.1 to 186.50.63.254186.50.63.25516,382
202186.50.64.0/18186.50.64.1 to 186.50.127.254186.50.127.25516,382
203186.50.128.0/18186.50.128.1 to 186.50.191.254186.50.191.25516,382
204186.50.192.0/18186.50.192.1 to 186.50.255.254186.50.255.25516,382
205186.51.0.0/18186.51.0.1 to 186.51.63.254186.51.63.25516,382
206186.51.64.0/18186.51.64.1 to 186.51.127.254186.51.127.25516,382
207186.51.128.0/18186.51.128.1 to 186.51.191.254186.51.191.25516,382
208186.51.192.0/18186.51.192.1 to 186.51.255.254186.51.255.25516,382
209186.52.0.0/18186.52.0.1 to 186.52.63.254186.52.63.25516,382
210186.52.64.0/18186.52.64.1 to 186.52.127.254186.52.127.25516,382
211186.52.128.0/18186.52.128.1 to 186.52.191.254186.52.191.25516,382
212186.52.192.0/18186.52.192.1 to 186.52.255.254186.52.255.25516,382
213186.53.0.0/18186.53.0.1 to 186.53.63.254186.53.63.25516,382
214186.53.64.0/18186.53.64.1 to 186.53.127.254186.53.127.25516,382
215186.53.128.0/18186.53.128.1 to 186.53.191.254186.53.191.25516,382
216186.53.192.0/18186.53.192.1 to 186.53.255.254186.53.255.25516,382
217186.54.0.0/18186.54.0.1 to 186.54.63.254186.54.63.25516,382
218186.54.64.0/18186.54.64.1 to 186.54.127.254186.54.127.25516,382
219186.54.128.0/18186.54.128.1 to 186.54.191.254186.54.191.25516,382
220186.54.192.0/18186.54.192.1 to 186.54.255.254186.54.255.25516,382
221186.55.0.0/18186.55.0.1 to 186.55.63.254186.55.63.25516,382
222186.55.64.0/18186.55.64.1 to 186.55.127.254186.55.127.25516,382
223186.55.128.0/18186.55.128.1 to 186.55.191.254186.55.191.25516,382
224186.55.192.0/18186.55.192.1 to 186.55.255.254186.55.255.25516,382
225186.56.0.0/18186.56.0.1 to 186.56.63.254186.56.63.25516,382
226186.56.64.0/18186.56.64.1 to 186.56.127.254186.56.127.25516,382
227186.56.128.0/18186.56.128.1 to 186.56.191.254186.56.191.25516,382
228186.56.192.0/18186.56.192.1 to 186.56.255.254186.56.255.25516,382
229186.57.0.0/18186.57.0.1 to 186.57.63.254186.57.63.25516,382
230186.57.64.0/18186.57.64.1 to 186.57.127.254186.57.127.25516,382
231186.57.128.0/18186.57.128.1 to 186.57.191.254186.57.191.25516,382
232186.57.192.0/18186.57.192.1 to 186.57.255.254186.57.255.25516,382
233186.58.0.0/18186.58.0.1 to 186.58.63.254186.58.63.25516,382
234186.58.64.0/18186.58.64.1 to 186.58.127.254186.58.127.25516,382
235186.58.128.0/18186.58.128.1 to 186.58.191.254186.58.191.25516,382
236186.58.192.0/18186.58.192.1 to 186.58.255.254186.58.255.25516,382
237186.59.0.0/18186.59.0.1 to 186.59.63.254186.59.63.25516,382
238186.59.64.0/18186.59.64.1 to 186.59.127.254186.59.127.25516,382
239186.59.128.0/18186.59.128.1 to 186.59.191.254186.59.191.25516,382
240186.59.192.0/18186.59.192.1 to 186.59.255.254186.59.255.25516,382
241186.60.0.0/18186.60.0.1 to 186.60.63.254186.60.63.25516,382
242186.60.64.0/18186.60.64.1 to 186.60.127.254186.60.127.25516,382
243186.60.128.0/18186.60.128.1 to 186.60.191.254186.60.191.25516,382
244186.60.192.0/18186.60.192.1 to 186.60.255.254186.60.255.25516,382
245186.61.0.0/18186.61.0.1 to 186.61.63.254186.61.63.25516,382
246186.61.64.0/18186.61.64.1 to 186.61.127.254186.61.127.25516,382
247186.61.128.0/18186.61.128.1 to 186.61.191.254186.61.191.25516,382
248186.61.192.0/18186.61.192.1 to 186.61.255.254186.61.255.25516,382
249186.62.0.0/18186.62.0.1 to 186.62.63.254186.62.63.25516,382
250186.62.64.0/18186.62.64.1 to 186.62.127.254186.62.127.25516,382
251186.62.128.0/18186.62.128.1 to 186.62.191.254186.62.191.25516,382
252186.62.192.0/18186.62.192.1 to 186.62.255.254186.62.255.25516,382
253186.63.0.0/18186.63.0.1 to 186.63.63.254186.63.63.25516,382
254186.63.64.0/18186.63.64.1 to 186.63.127.254186.63.127.25516,382
255186.63.128.0/18186.63.128.1 to 186.63.191.254186.63.191.25516,382
256186.63.192.0/18186.63.192.1 to 186.63.255.254186.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses